Get all articles
curl --request GET \
--url https://api-ezyconnect.ezytail.com/articles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/articles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-ezyconnect.ezytail.com/articles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-ezyconnect.ezytail.com/articles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-ezyconnect.ezytail.com/articles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-ezyconnect.ezytail.com/articles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"activityCode": "<string>",
"activityName": "<string>",
"articleReference": "<string>",
"longArticleDescription": "<string>",
"shortArticleDescription": "<string>",
"netWeightPerUVC": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"dateLastUpdated": "2023-11-07T05:31:56Z",
"doReferenceCode": "<string>",
"nomenclatureManaged": true,
"articleType": 123,
"grossWeightPerUVC": 123,
"lengthPerUVC": 123,
"widthPerUVC": 123,
"heightPerUVC": 123,
"quantityPerPCB": 123,
"quantityPerSPCB": 123,
"grossWeightPerPCB": 123,
"lengthPerPCB": 123,
"widthPerPCB": 123,
"heightPerPCB": 123,
"grossWeightPerSPCB": 123,
"lengthPerSPCB": 123,
"widthPerSPCB": 123,
"heightPerSPCB": 123,
"articleCategory": "<string>",
"articleRotationClass": "<string>",
"receptionMethod": "<string>",
"storageMethod": "<string>",
"preferredStorageZone": "<string>",
"preferredStorageAisle": "<string>",
"storageClass": "<string>",
"preparationMethod": "<string>",
"articlePackaging": "<string>",
"supplierArticleReference": "<string>",
"supplierArticleDescription": "<string>",
"supplierCode": "<string>",
"supplierArticleReference2": "<string>",
"supplierArticleReference3": "<string>",
"supplierArticleReference4": "<string>",
"supplierArticleReference5": "<string>",
"brandCode": "<string>",
"articleAnalysisCode": "<string>",
"articlePrice1": 123,
"articlePrice2": 123,
"articlePrice3": 123,
"articlePrice4": 123,
"articleFamily": "<string>",
"articleSubFamily": "<string>",
"articleBrand": "<string>",
"articleSize": "<string>",
"articleColor": "<string>",
"articleTypology": "<string>",
"modelReference": "<string>",
"modelDescription": "<string>",
"saleExpirationDate": true,
"receptionDeadlineInDays": 123,
"shippingDeadlineInDays": 123,
"serializedArticle": true,
"lotTrackedArticle": true,
"miniArticlesManaged": true,
"quantityDeclarationManaged": true,
"fragileArticle": true,
"customField1": "2023-11-07T05:31:56Z",
"customField2": "2023-11-07T05:31:56Z",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": 123,
"customField13": 123,
"customField14": 123,
"customField15": 123,
"customField16": 123,
"customField17": "2023-11-07T05:31:56Z",
"customField18": "2023-11-07T05:31:56Z",
"uvcQuantityPerCartonOrPalette": 123,
"weightPerCartonOrPalette": 123,
"lengthPerCartonOrPalette": 123,
"widthPerCartonOrPalette": 123,
"heightPerCartonOrPalette": 123,
"customsCode": "<string>",
"countryOfOriginCode": "<string>",
"topHazardousMaterial": true,
"topAlcoholArticle": true,
"topConsignedArticle": true,
"disableProduit": true,
"barcodes": [
{
"code": "<string>",
"isPrimary": true,
"barcodeUnit": "<string>",
"barcodeQuantity": 123,
"logisticalVariantCode": "<string>",
"disabled": true,
"id": "<string>"
}
],
"alcool": {
"articleReference": "<string>",
"regieCodes": "<string>",
"degree": 123,
"capacity": 123,
"itemType": "<string>",
"categoryOfTaxation": "<string>",
"customsBrandName": "<string>",
"customsClassification": "<string>",
"id": "<string>"
},
"logisticalVariants": [
{
"articleReference": "<string>",
"id": "<string>",
"dateCreation": "2023-11-07T05:31:56Z",
"dateLasteUpdate": "2023-11-07T05:31:56Z",
"numeroObjet": 123,
"logisticalVariantCode": "<string>",
"lvTypeCode": "<string>",
"baseLv": true,
"packagingLv": true,
"managementLv": true,
"subpackagingLvCode": "<string>",
"quantityInSubpackagingLv": 123,
"quantityInBaseLv": "<string>",
"netWeight": 123,
"grossWeight": 123,
"height": 123,
"width": 123,
"depth": 123,
"volume": 123,
"standardPrice": 123,
"checkAtReceipt": true,
"repackingAtReceipt": true,
"hdTypeCode": "<string>",
"locationSizeCode": "<string>",
"storageGroupCode": "<string>",
"bulkStorageGroupCode": "<string>",
"subpackagingLvNbConstitutingLayer": 123,
"heightLayer": 123,
"preparationGroupCode": "<string>",
"kit": true,
"newLv": true,
"rfxDateLastUpdate": "2023-11-07T05:31:56Z",
"rfxDateCreation": "2023-11-07T05:31:56Z",
"codeUserCreation": "<string>",
"codeUserLastUpdate": "<string>",
"lastEvent": "<string>",
"disableVl": true,
"specif1": "2023-11-07T05:31:56Z",
"specif2": "2023-11-07T05:31:56Z",
"specif3": "2023-11-07T05:31:56Z",
"specif4": "2023-11-07T05:31:56Z",
"specif5": "<string>",
"specif6": "<string>",
"specif7": "<string>",
"specif8": "<string>",
"specif9": 123,
"specif10": 123,
"specif11": 123,
"specif12": 123,
"barcodes": [
{
"code": "<string>",
"isPrimary": true,
"barcodeUnit": "<string>",
"barcodeQuantity": 123,
"logisticalVariantCode": "<string>",
"disabled": true,
"id": "<string>"
}
]
}
],
"id": "<string>"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Articles
Get all articles
Fetch all articles with optional filters, limited to 100 results
GET
/
articles
Get all articles
curl --request GET \
--url https://api-ezyconnect.ezytail.com/articles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/articles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-ezyconnect.ezytail.com/articles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-ezyconnect.ezytail.com/articles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-ezyconnect.ezytail.com/articles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-ezyconnect.ezytail.com/articles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"activityCode": "<string>",
"activityName": "<string>",
"articleReference": "<string>",
"longArticleDescription": "<string>",
"shortArticleDescription": "<string>",
"netWeightPerUVC": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"dateLastUpdated": "2023-11-07T05:31:56Z",
"doReferenceCode": "<string>",
"nomenclatureManaged": true,
"articleType": 123,
"grossWeightPerUVC": 123,
"lengthPerUVC": 123,
"widthPerUVC": 123,
"heightPerUVC": 123,
"quantityPerPCB": 123,
"quantityPerSPCB": 123,
"grossWeightPerPCB": 123,
"lengthPerPCB": 123,
"widthPerPCB": 123,
"heightPerPCB": 123,
"grossWeightPerSPCB": 123,
"lengthPerSPCB": 123,
"widthPerSPCB": 123,
"heightPerSPCB": 123,
"articleCategory": "<string>",
"articleRotationClass": "<string>",
"receptionMethod": "<string>",
"storageMethod": "<string>",
"preferredStorageZone": "<string>",
"preferredStorageAisle": "<string>",
"storageClass": "<string>",
"preparationMethod": "<string>",
"articlePackaging": "<string>",
"supplierArticleReference": "<string>",
"supplierArticleDescription": "<string>",
"supplierCode": "<string>",
"supplierArticleReference2": "<string>",
"supplierArticleReference3": "<string>",
"supplierArticleReference4": "<string>",
"supplierArticleReference5": "<string>",
"brandCode": "<string>",
"articleAnalysisCode": "<string>",
"articlePrice1": 123,
"articlePrice2": 123,
"articlePrice3": 123,
"articlePrice4": 123,
"articleFamily": "<string>",
"articleSubFamily": "<string>",
"articleBrand": "<string>",
"articleSize": "<string>",
"articleColor": "<string>",
"articleTypology": "<string>",
"modelReference": "<string>",
"modelDescription": "<string>",
"saleExpirationDate": true,
"receptionDeadlineInDays": 123,
"shippingDeadlineInDays": 123,
"serializedArticle": true,
"lotTrackedArticle": true,
"miniArticlesManaged": true,
"quantityDeclarationManaged": true,
"fragileArticle": true,
"customField1": "2023-11-07T05:31:56Z",
"customField2": "2023-11-07T05:31:56Z",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": 123,
"customField13": 123,
"customField14": 123,
"customField15": 123,
"customField16": 123,
"customField17": "2023-11-07T05:31:56Z",
"customField18": "2023-11-07T05:31:56Z",
"uvcQuantityPerCartonOrPalette": 123,
"weightPerCartonOrPalette": 123,
"lengthPerCartonOrPalette": 123,
"widthPerCartonOrPalette": 123,
"heightPerCartonOrPalette": 123,
"customsCode": "<string>",
"countryOfOriginCode": "<string>",
"topHazardousMaterial": true,
"topAlcoholArticle": true,
"topConsignedArticle": true,
"disableProduit": true,
"barcodes": [
{
"code": "<string>",
"isPrimary": true,
"barcodeUnit": "<string>",
"barcodeQuantity": 123,
"logisticalVariantCode": "<string>",
"disabled": true,
"id": "<string>"
}
],
"alcool": {
"articleReference": "<string>",
"regieCodes": "<string>",
"degree": 123,
"capacity": 123,
"itemType": "<string>",
"categoryOfTaxation": "<string>",
"customsBrandName": "<string>",
"customsClassification": "<string>",
"id": "<string>"
},
"logisticalVariants": [
{
"articleReference": "<string>",
"id": "<string>",
"dateCreation": "2023-11-07T05:31:56Z",
"dateLasteUpdate": "2023-11-07T05:31:56Z",
"numeroObjet": 123,
"logisticalVariantCode": "<string>",
"lvTypeCode": "<string>",
"baseLv": true,
"packagingLv": true,
"managementLv": true,
"subpackagingLvCode": "<string>",
"quantityInSubpackagingLv": 123,
"quantityInBaseLv": "<string>",
"netWeight": 123,
"grossWeight": 123,
"height": 123,
"width": 123,
"depth": 123,
"volume": 123,
"standardPrice": 123,
"checkAtReceipt": true,
"repackingAtReceipt": true,
"hdTypeCode": "<string>",
"locationSizeCode": "<string>",
"storageGroupCode": "<string>",
"bulkStorageGroupCode": "<string>",
"subpackagingLvNbConstitutingLayer": 123,
"heightLayer": 123,
"preparationGroupCode": "<string>",
"kit": true,
"newLv": true,
"rfxDateLastUpdate": "2023-11-07T05:31:56Z",
"rfxDateCreation": "2023-11-07T05:31:56Z",
"codeUserCreation": "<string>",
"codeUserLastUpdate": "<string>",
"lastEvent": "<string>",
"disableVl": true,
"specif1": "2023-11-07T05:31:56Z",
"specif2": "2023-11-07T05:31:56Z",
"specif3": "2023-11-07T05:31:56Z",
"specif4": "2023-11-07T05:31:56Z",
"specif5": "<string>",
"specif6": "<string>",
"specif7": "<string>",
"specif8": "<string>",
"specif9": 123,
"specif10": 123,
"specif11": 123,
"specif12": 123,
"barcodes": [
{
"code": "<string>",
"isPrimary": true,
"barcodeUnit": "<string>",
"barcodeQuantity": 123,
"logisticalVariantCode": "<string>",
"disabled": true,
"id": "<string>"
}
]
}
],
"id": "<string>"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Response
OK

